SystemOrganization addCategory: #'Minecraft-API'!

Object subclass: #Minecraft
	instanceVariableNames: 'socket'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

Object subclass: #MinecraftObject
	instanceVariableNames: 'world x y z'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

MinecraftObject subclass: #MinecraftBlock
	instanceVariableNames: 'id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

MinecraftObject subclass: #MinecraftEntity
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!MinecraftObject class methodsFor: 'instance creation' stamp: 'Laura 8/21/2014 18:23'!
newAt: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber
	^ self basicNew initializeWithWorld: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber! !

!MinecraftObject methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:24'!
initializeWithWorld: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber
	self initialize.
	self world: aMinecraftWorld; x: aNumber; y: anotherNumber; z: yetAnotherNumber.! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
world

	^ world! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
world: anObject

	world := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
x

	^ x! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
x: anObject

	x := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
y

	^ y! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
y: anObject

	y := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
z

	^ z! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
z: anObject

	z := anObject! !

Object subclass: #MinecraftWorld
	instanceVariableNames: 'minecraft'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!MinecraftWorld class methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:27'!
newInGame: aMinecraft
	^ self new initializeWithGame: aMinecraft! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:21'!
atx: aNumber y: anotherNumber z: yetAnotherNumber
	| minecraftObject |
	minecraftObject := MinecraftObject new.
	^ minecraftObject! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:20'!
atx: aNumber y: anotherNumber z: yetAnotherNumber put: aMinecraftObject! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:27'!
initializeWithGame: aMinecraft
	self initialize.
	minecraft := aMinecraft. ! !
